# -*- encoding: utf-8 -*-
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'merry_go_round/version'

Gem::Specification.new do |gem|
  gem.name          = 'merry_go_round'
  gem.version       = MerryGoRound::VERSION
  gem.authors       = ['Sam Soffes']
  gem.email         = ['sam@soff.es']
  gem.description   = 'Simple data-warehousing.'
  gem.summary       = 'Simple data-warehousing with Redis and PostgreSQL.'
  gem.homepage      = 'https://github.com/seesawco/merry_go_round'
  gem.license       = 'MIT'

  gem.files         = `git ls-files`.split($/)
  gem.executables   = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.require_paths = ['lib']

  gem.required_ruby_version = '>= 1.9.2'
  gem.add_dependency 'activerecord', '>= 3.0.0'
  gem.add_dependency 'activesupport', '>= 3.0.0'
  gem.add_dependency 'redis', '>= 3.0.0'
  gem.add_dependency 'redis-namespace'
  gem.add_dependency 'sinatra'
end
