require 'test_helper'

module MerryGoRound
  class AggregationTest < TestCase
    def test_creating
      Aggregation.create(key: 'test', value: 1, granularity: 'minute', timestamp: Time.now)
    end

    def test_validating_granularities
      agg = Aggregation.new(key: 'test', value: 2, granularity: 'crap', timestamp: Time.now)
      refute agg.save

      agg.granularity = :minute
      assert agg.save
    end
  end
end
