# encoding: UTF-8

ActiveRecord::Schema.define(:version => 20130212042134) do
  create_table "merry_go_round_aggregations", :force => true do |t|
    t.string   "key",                        :null => false
    t.integer  "value",       :default => 0, :null => false
    t.datetime "timestamp",                  :null => false
    t.string   "granularity",                :null => false
    t.integer  "parent_id"
  end

  add_index "merry_go_round_aggregations", ["granularity", "timestamp", "key", "parent_id"], :name => "merry_go_round_aggregations_kgtp"
  add_index "merry_go_round_aggregations", ["parent_id", "granularity", "timestamp"], :name => "merry_go_round_aggregations_pgt"
end
