require 'test_helper'

class MerryGoRoundTest < MerryGoRound::TestCase
  def test_configure
    redis = Redis.new
    MerryGoRound.configure do |config|
      config.redis = redis
    end

    # It returns a namespaced Redis, so call `.redis` again on it
    assert_equal redis, MerryGoRound.redis.redis
  end
end
