require 'rubygems'
require 'bundler'
Bundler.require :test

require 'simplecov'
SimpleCov.start

require 'minitest/autorun'
require 'merry_go_round'

# Support files
Dir["#{File.expand_path(File.dirname(__FILE__))}/support/*.rb"].each do |file|
  require file
end

class MerryGoRound::TestCase < MiniTest::Unit::TestCase
  include FixtureMacros

  def teardown
    MerryGoRound::Aggregation.delete_all
    MerryGoRound.redis.flushdb
  end
end
